package net.wanji.utc.hisense.service;

import net.wanji.databus.po.SignalStatusLogPO;
import net.wanji.databus.vo.LightsStatusVO;
import net.wanji.utc.hisense.pojo.convert.HisenseLightStatusPojo;
import org.dom4j.DocumentException;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/21 9:09
 */
public interface SignalStatusService {

    /**
     * todo 提供给其他平台，需要确认以厂商还是以路口形式推送数据
     *
     * @param crossId
     * @return
     */
    List<SignalStatusLogPO> runningStatusAlarm(String crossId) throws DocumentException;

    List<LightsStatusVO> lightStatus(String crossId);
    void receiveLightStatus(List<HisenseLightStatusPojo> hisenseLightStatusPojos) throws Exception;
}
