package net.wanji.utc.hisense.pojo.dto;

import lombok.Data;

/**
 * @ClassName RingPhasesDTO
 * @Description 获取方案环图，环对应相位的DTO
 * @Author zhouleilei
 * @Date 2024/11/14 17:05
 */
@Data
public class RingPhaseDTO {
    //相位号
    private Integer phaseId;

    //相位时间
    private Integer phaseTime;

    //相位红灯时间
    private Integer redTime;

    //相位黄灯时间
    private Integer yellowTime;

    //相位绿灯时间
    private Integer greenTime;

    //最小绿时间
    private Integer minGTime;

    //最大绿时间
    private Integer maxGTime;

    //相位状态
    private Integer phaseStatus;

}