package net.wanji.utc.hisense.pojo.view;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @author zhouleilei
 * @date 2024/11/16 15:05
 * @descrioption 海信方案视图实体
 */
@Data
@TableName("hicon.V_NTCIPPATTERN")
public class VNtcipPatternView {
    //所属路口编号
    @TableField("CINTSID")
    private String cIntsID;
    //方案号
    @TableField("NPATTERNNUMBER")
    private Integer nPatternNumber;
    //周期长
    @TableField("NPATTERNCYCLETIME")
    private Integer nPatternCycleTime;
    //相位差
    @TableField("NPATTERNOFFSETTIME")
    private Integer nPatternOffsetTime;
    //绿信比表号
    @TableField("NPATTERNSPLITNUMBER")
    private Integer nPatternSplitNumber;
    //sequence 表号
    @TableField("NPATTERNSEQUENCENUMBER")
    private Integer nPatternSequenceNumb;
    //策略号
    @TableField("NSTRATEGYNO")
    private Integer nStrategyNo;
}
